openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RS_IGS_MAP_CREATE:
    post:
      tags:
      - RS_IGS
      operationId: /rfc/RS_IGS_MAP_CREATE
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_DATA_XML:
                  type: string
                  format: byte
                I_PARAMETER_XML:
                  type: string
                  format: byte
                I_RFC_DESTINATION:
                  type: string
                  default: IGS_RFC_DEST
                I_SHAPE_XML:
                  type: string
                  format: byte
              required:
              - I_DATA_XML
              - I_PARAMETER_XML
              - I_SHAPE_XML
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_RESULT_MIME:
                    type: string
                    format: byte
                  E_RESULT_XML:
                    type: string
                    format: byte
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
